- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# _swizzle_base2< ValueType, VecType, N, E0, E1, E2, E3, 1 > Struct Template Reference

Specialization for swizzles containing duplicate elements. These cannot be modified. More...

Inherits glm::detail::_swizzle_base1< ValueType, VecType, E0, E1, E2, E3, N >.

List of all members.

## Detailed Description

### template<typename ValueType, typename VecType, int N, int E0, int E1, int E2, int E3>
struct glm::detail::_swizzle_base2< ValueType, VecType, N, E0, E1, E2, E3, 1 >

Specialization for swizzles containing duplicate elements. These cannot be modified.

Definition at line 188 of file _swizzle.hpp.